| FoxitPDFSDKforWeb v11.0.5 Archives Foxit PDF SDK for Web

Public Attributes | List of all members
SigningSettings Interface Reference
PDF » form

Signing settings for PDF signatures. More...

## Public Attributes
number | defaultContentsLength
| 7942 is the default length of signature contents, in bytes. It should not be less than 4098.
string | distinguishName
| Provides the distinguished name of the signer, often formatted as an email or a DN (Distinguished Name). More...
string | filter
| The security handler used for the signature, for example: "Adobe.PPKLite". More...
number | flag
| Appearance flags of signature. Please refer to Signature_Ap_Flags.
string | location
| The physical location or hostname where the document was signed.
string | reason
| Specifies the reason why the document was signed. More...
DigestSignHandler | sign
| Digest and sign handler.
string | signer
| Indicates the name or identifier of the signer or the system that performed the signing.
string | subfilter
| Defines the format used for public key signatures within the security handler, for example: adbe.pkcs7.sha1. More...

## Detailed Description

Signing settings for PDF signatures.

Since
  11.0.0

See also
  SignatureWorkflowService.addSigningSettings

## Member Data Documentation

## ◆ distinguishName

string SigningSettings::distinguishName

Provides the distinguished name of the signer, often formatted as an email or a DN (Distinguished Name).

Used for uniquely identifying the signer, akin to a certificate's subject field

## ◆ filter

string SigningSettings::filter

The security handler used for the signature, for example: "Adobe.PPKLite".

This field indicates the type of cryptographic security handler used to create the signature. It's crucial for determining how the signature should be processed or verified.

## ◆ reason

string SigningSettings::reason

Specifies the reason why the document was signed.

This helps in explaining the purpose or context of the signature, useful for legal or auditing purposes.

## ◆ subfilter

string SigningSettings::subfilter

Defines the format used for public key signatures within the security handler, for example: adbe.pkcs7.sha1.

This property specifies the particular sub-type of signature format. The example value indicates a PKCS#7 signature with SHA-1 hashing

@2025 Foxit Software Incorporated. All rights reserved.